Package de.willuhn.jameica.hbci.synchronize

# Class Synchronization

java.lang.Object
de.willuhn.jameica.hbci.synchronize.Synchronization

public class Synchronization extends Object
Container-Objekt fuer eine einzelne Synchronisierung.

## Constructor Summary

Constructors
Constructor
Description
`Synchronization()`

## Method Summary

Modifier and Type
Method
Description
`SynchronizeBackend`
`getBackend()`
Liefert das Backend fuer die Synchronisierung.
`List<SynchronizeJob>`
`getJobs()`
Liefert die Jobs der Synchronisierung.
`void`
`setBackend(SynchronizeBackend backend)`
Speichert das Backend fuer die Synchronisierung.
`void`
`setJobs(List<SynchronizeJob> jobs)`
Speichert die Jobs der Synchronisierung.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Synchronization

public Synchronization()

## Method Details

### setBackend

public void setBackend(SynchronizeBackend backend)
Speichert das Backend fuer die Synchronisierung.

Parameters:
  `backend` - das Backend.

### getBackend

public SynchronizeBackend getBackend()
Liefert das Backend fuer die Synchronisierung.

Returns:
  das Backend fuer die Synchronisierung.

### getJobs

public List<SynchronizeJob> getJobs()
Liefert die Jobs der Synchronisierung.

Returns:
  die Jobs der Synchronisierung.

### setJobs

public void setJobs(List<SynchronizeJob> jobs)
Speichert die Jobs der Synchronisierung.

Parameters:
  `jobs` - die Jobs der Synchronisierung.